package com.ruoyi.web.work.domain;

import com.baomidou.mybatisplus.annotation.*;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.util.Date;
/**
 * @author lsw
 * @date 2024-06-04
 */
@Data
@TableName(value = "tb_resume")
@Accessors(chain = true)
public class Resume{
    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.INPUT)
    private Long id;

    @ApiModelProperty(value = "姓名")
    private String name;

    @ApiModelProperty(value = "头像")
    private String avatar;

    @ApiModelProperty(value = "性别")
    private String sex;

    @ApiModelProperty(value = "年龄:根=据出生年月自动计算")
    private Integer age;

    @ApiModelProperty(value = "学历:根=据教育经历自动计算")
    private String qualification;

    @ApiModelProperty(value = "工作经验:根=据参与工作时间自动计算")
    private String experience;

    @ApiModelProperty(value = "参与工作时间")
    private String joinDate;

    @ApiModelProperty(value = "手机号")
    private String phone;

    @ApiModelProperty(value = "出生年月")
    private String birthday;

    @ApiModelProperty(value = "邮箱")
    private String email;

    @ApiModelProperty(value = "个人优势")
    private String advantage;

    @ApiModelProperty(value = "求职状态")
    private String state;

    @ApiModelProperty(value = "求职期望")
    private String desire;

    @ApiModelProperty(value = "教育经历")
    private String education;

    @ApiModelProperty(value = "项目经验")
    private String project;

    @ApiModelProperty(value = "工作经验")
    private String work;

    @ApiModelProperty(value = "是否曝光简历")
    private Integer isShow;

    @TableField(fill = FieldFill.INSERT)
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    @TableField(fill = FieldFill.UPDATE)
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;


}
