package com.ruoyi.web.work.domain.dto;

import com.ruoyi.common.core.validate.Regexp;
import lombok.Data;
import lombok.experimental.Accessors;

import javax.validation.constraints.Email;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.Pattern;

/**
 * @author lsw
 * @date 2024-06-04
 */
@Data
@Accessors(chain = true)
public class ResumeBaseDto {

    @NotBlank(message = "姓名不能为空")
    private String name;

    @NotBlank(message = "头像不能为空")
    private String avatar;

    @NotBlank(message = "性别不能为空")
    private String sex;

    private Integer age;

    @NotBlank(message = "学历不能为空")
    private String qualification;

    private String experience;

    @NotBlank(message = "参与工作时间不能为空")
    private String joinDate;

    @NotBlank(message = "手机号不能为空")
    @Pattern(regexp = Regexp.PHONE, message = "手机号不合法")
    private String phone;

    @NotBlank(message = "出生年月不能为空")
    private String birthday;

    @NotBlank(message = "邮箱不能为空")
    @Email(message = "邮箱格式不对")
    private String email;

}
